class GamesController < ApplicationController
  before_action :set_game, only: [:show, :edit, :update, :destroy]

  # GET /games
  def index
    #@games = Game.all
    @game1 = Game.new
    @game1.player1 = 1
    @game1.player2 = 2
    @game1.result = '1 nyert'
    @game1.created_at = Time.now
    @game1.updated_at = Time.now
    @game1.id = 1
    @game2 = Game.new
    @game2.player1 = 1
    @game2.player2 = 2
    @game2.result = '2 nyert'
    @game2.created_at = Time.now
    @game2.updated_at = Time.now
    @game2.id = 2
    @games = [@game1, @game2]
  end

  # GET /games/1
  def show
  end

  # GET /games/new
  def new
    @game = Game.new
  end

  # GET /games/1/edit
  def edit
  end

  # POST /games
  def create
    @game = Game.new(game_params)

    if @game.save
      redirect_to @game, notice: 'Game was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /games/1
  def update
    if @game.update(game_params)
      redirect_to @game, notice: 'Game was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /games/1
  def destroy
    @game.destroy
    redirect_to games_url, notice: 'Game was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_game
      #@game = Game.find(params[:id])
      @game = Game.new
      @game.player1 = 1
      @game.player2 = 2
      @game.result = '1 nyert'
      @game.created_at = Time.now
      @game.updated_at = Time.now
      @game.id = 1
    end

    # Only allow a trusted parameter "white list" through.
    def game_params
      params.require(:game).permit(:player1, :player2, :result)
    end
end
